Bug 468171 - (CVE-2008-4683) CVE-2008-4683 wireshark: DoS (app crash or abort) in Bluetooth ACL dissector via a packet with an invalid length
CVE-2008-4683 wireshark: DoS (app crash or abort) in Bluetooth ACL dissector ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20081022,public=20070404,sou...
: Security
Depends On: 486548 486549 486550 486551 486552 833990
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 08:51 EDT by Jan Lieskovsky
Modified: 2012-06-20 10:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 02:37:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-10-23 08:51:18 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4683 to
the following vulnerability:

The dissect_btacl function in packet-bthci_acl.c in the Bluetooth ACL
dissector in Wireshark 0.99.2 through 1.0.3 allows remote attackers to
cause a denial of service (application crash or abort) via a packet
with an invalid length, related to an erroneous tvb_memcpy call.

Affected Wireshark versions: 0.99.2 through 1.0.3

References: 

http://www.wireshark.org/security/wnpa-sec-2008-06.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1513
http://www.securityfocus.com/bid/31838
http://www.frsirt.com/english/advisories/2008/2872
http://securitytracker.com/id?1021069
http://secunia.com/advisories/32355
Comment 5 Red Hat Product Security 2009-03-05 02:37:33 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2009-0313.html

Note You need to log in before you can comment on or make changes to this bug.